package com.landray.kmss.sys.attachment.borrow.service;

import java.util.List;
import com.landray.kmss.util.SpringBeanUtil;
import com.landray.kmss.common.service.IBaseService;
import com.landray.kmss.util.UserUtil;
import com.landray.kmss.common.dao.HQLInfo;

public abstract class ISysAttBorrowValidator
{
    public abstract String getType();
    
    public abstract String getProp();
    
    public Boolean auth(final String fdAttId) throws Exception {
        final HQLInfo hqlInfo = new HQLInfo();
        hqlInfo.setSelectBlock("count(sysAttBorrow.fdId)");
        hqlInfo.setWhereBlock("sysAttBorrow." + this.getProp() + " = :" + this.getProp() + " and sysAttBorrow.fdAttId = :fdAttId and sysAttBorrow.fdStatus = :fdStatus " + " and sysAttBorrow.fdBorrowers.fdId in (:orgIds)");
        hqlInfo.setParameter(this.getProp(), (Object)true);
        final List<String> orgIds = UserUtil.getKMSSUser().getUserAuthInfo().getAuthOrgIds();
        hqlInfo.setParameter("fdAttId", (Object)fdAttId);
        hqlInfo.setParameter("fdStatus", (Object)"1");
        hqlInfo.setParameter("orgIds", (Object)orgIds);
        final List<Object> counts = ((IBaseService)SpringBeanUtil.getBean("sysAttBorrowService")).findValue(hqlInfo);
        if (counts.size() > 0) {
            return Integer.parseInt(counts.get(0).toString()) > 0;
        }
        return false;
    }
}
